Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer
Class DefaultNanoContainer

    java.lang.Object
      org.nanocontainer.DefaultNanoContainer

All Implemented Interfaces:
  NanoContainer

    public class DefaultNanoContainer

extends Object
implements NanoContainer

The default implementation of `NanoContainer`.

Author:
  Paul Hammant, Aslak Hellesøy

Constructor Summary
`DefaultNanoContainer()` Beware - no parent container and no parent classloader.
`DefaultNanoContainer(ClassLoader parentClassLoader)`
`DefaultNanoContainer(ClassLoader parentClassLoader, org.picocontainer.MutablePicoContainer picoContainer)`
`DefaultNanoContainer(org.picocontainer.MutablePicoContainer picoContainer)`
`DefaultNanoContainer(NanoContainer parent)`

Method Summary
`ClassPathElement` | `addClassLoaderURL(URL url)` Adds a new URL that will be used in classloading
`org.picocontainer.MutablePicoContainer` | `addDecoratingPicoContainer(Class picoContainerClass)`
`ClassLoader` | `getComponentClassLoader()`
`Object` | `getComponentInstanceOfType(String componentType)` Find a component instance matching the specified type.
`org.picocontainer.MutablePicoContainer` | `getPico()` Returns the wrapped PicoContainer instance (russian doll concept).
`org.picocontainer.ComponentAdapter` | `registerComponentImplementation(Object key, String componentImplementationClassName)`
`org.picocontainer.ComponentAdapter` | `registerComponentImplementation(Object key, String componentImplementationClassName, org.picocontainer.Parameter[] parameters)`
`org.picocontainer.ComponentAdapter` | `registerComponentImplementation(Object key, String componentImplementationClassName, String[] parameterTypesAsString, String[] parameterValuesAsString)`
`org.picocontainer.ComponentAdapter` | `registerComponentImplementation(String componentImplementationClassName)`
`org.picocontainer.ComponentAdapter` | `registerComponentImplementation(String componentImplementationClassName, String[] parameterTypesAsString, String[] parameterValuesAsString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNanoContainer

    public DefaultNanoContainer(ClassLoader parentClassLoader,
                                org.picocontainer.MutablePicoContainer picoContainer)

### DefaultNanoContainer

    public DefaultNanoContainer(ClassLoader parentClassLoader)

### DefaultNanoContainer

    public DefaultNanoContainer(org.picocontainer.MutablePicoContainer picoContainer)

### DefaultNanoContainer

    public DefaultNanoContainer(NanoContainer parent)

### DefaultNanoContainer

    public DefaultNanoContainer()

  Beware - no parent container and no parent classloader.

Method Detail

### registerComponentImplementation

    public org.picocontainer.ComponentAdapter registerComponentImplementation(String componentImplementationClassName)
                                                                       throws org.picocontainer.PicoRegistrationException,
                                                                              ClassNotFoundException,
                                                                              org.picocontainer.PicoIntrospectionException

  Specified by:
    `registerComponentImplementation` in interface `NanoContainer`
  Throws:
    `org.picocontainer.PicoRegistrationException`
    `ClassNotFoundException`
    `org.picocontainer.PicoIntrospectionException`

### registerComponentImplementation

    public org.picocontainer.ComponentAdapter registerComponentImplementation(Object key,
                                                                              String componentImplementationClassName)
                                                                       throws ClassNotFoundException

  Specified by:
    `registerComponentImplementation` in interface `NanoContainer`
  Throws:
    `ClassNotFoundException`

### registerComponentImplementation

    public org.picocontainer.ComponentAdapter registerComponentImplementation(Object key,
                                                                              String componentImplementationClassName,
                                                                              org.picocontainer.Parameter[] parameters)
                                                                       throws ClassNotFoundException

  Specified by:
    `registerComponentImplementation` in interface `NanoContainer`
  Throws:
    `ClassNotFoundException`

### registerComponentImplementation

    public org.picocontainer.ComponentAdapter registerComponentImplementation(Object key,
                                                                              String componentImplementationClassName,
                                                                              String[] parameterTypesAsString,
                                                                              String[] parameterValuesAsString)
                                                                       throws org.picocontainer.PicoRegistrationException,
                                                                              ClassNotFoundException,
                                                                              org.picocontainer.PicoIntrospectionException

  Specified by:
    `registerComponentImplementation` in interface `NanoContainer`
  Throws:
    `org.picocontainer.PicoRegistrationException`
    `ClassNotFoundException`
    `org.picocontainer.PicoIntrospectionException`

### registerComponentImplementation

    public org.picocontainer.ComponentAdapter registerComponentImplementation(String componentImplementationClassName,
                                                                              String[] parameterTypesAsString,
                                                                              String[] parameterValuesAsString)
                                                                       throws org.picocontainer.PicoRegistrationException,
                                                                              ClassNotFoundException,
                                                                              org.picocontainer.PicoIntrospectionException

  Specified by:
    `registerComponentImplementation` in interface `NanoContainer`
  Throws:
    `org.picocontainer.PicoRegistrationException`
    `ClassNotFoundException`
    `org.picocontainer.PicoIntrospectionException`

### addClassLoaderURL

    public ClassPathElement addClassLoaderURL(URL url)

  Description copied from interface: `NanoContainer`
  Adds a new URL that will be used in classloading

  Specified by:
    `addClassLoaderURL` in interface `NanoContainer`

### getComponentClassLoader

    public ClassLoader getComponentClassLoader()

  Specified by:
    `getComponentClassLoader` in interface `NanoContainer`

### getPico

    public org.picocontainer.MutablePicoContainer getPico()

  Description copied from interface: `NanoContainer`
  Returns the wrapped PicoContainer instance (russian doll concept). The method name is short in order to favour the use of nano.pico from Groovy.

  Specified by:
    `getPico` in interface `NanoContainer`
  Returns:
    the wrapped PicoContainer instance.

### getComponentInstanceOfType

    public Object getComponentInstanceOfType(String componentType)

  Description copied from interface: `NanoContainer`
  Find a component instance matching the specified type.

  Specified by:
    `getComponentInstanceOfType` in interface `NanoContainer`
  Parameters:
    `componentType` - the type of the component.
  Returns:
    the adapter matching the class.

### addDecoratingPicoContainer

    public org.picocontainer.MutablePicoContainer addDecoratingPicoContainer(Class picoContainerClass)

  Specified by:
    `addDecoratingPicoContainer` in interface `NanoContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.